Subject: Re: bug#16507: 24.3; systemd unit for a GNU Emacs daemon

From: Mark Oteiza <[email-masked]>
Date: Mon, 20 Jan 2014 17:36:13 -0500

Stefan Monnier <[email-masked]> writes:

>> I would like that as part of the package, even if 95% of users never
>> need it.  The 5% that do will appreciate the convenience.
>
> I don't see any problem with adding such a file.
> I guess it would go in `etc'?
>
>
>         Stefan

Units of installed packages go in lib, per systemd.unit(5)

The addition of a user unit should also be considered.  Here is an example:

[Unit]
Description=GNU Emacs daemon
Documentation=man:emacs(1) info:Emacs

[Service]
Type=forking
ExecStart=/usr/bin/emacs --daemon
ExecStop=/usr/bin/emacsclient --eval "(kill-emacs)"

[Install]
WantedBy=default.target